Subject: bug#50387: Possible bug in Tramp or in completions

From: Michael Albinus <[email-masked]>
Date: Mon, 06 Sep 2021 19:41:09 +0200

Gregory Heytings <[email-masked]> writes:

> Hi Michael,

Hi Gregory,

>>> It seems to me that adding methods (which are not file names),
>>> conditionally to tramp-default-method, to
>>> file-name-all-completions, is not TRT, hence this bug.
>>
>> I disagree. Methods are part of a remote file name in Emacs.
>
> Okay.  So what would you suggest to fix that bug?

I don't know completion styles, so I have no suggestions. I have
analysed what Tramp does, and this seems to be right.

I hope somebody else chimes in.

Best regards, Michael.